## htroff 0.2

=== Makefile ===
# Makefile generated by config.pl.
CAT        = cat
EXE        = 
OSTYPE     = ux
BINDIR     = /usr/bin
MANDIR     = /usr/man
DOCDIR     = /usr/doc
INSTALL    = install
INSTALLBIN = install -m 0755
INSTALLDIR = install -d
INSTALLDEP = install.bin install.doc
# template for Makefile 
# Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
# see COPYING.TXT for terms of license.

TARGET=htroff$(EXE)

all: $(TARGET) doc

MACROS=std.hma dic.hma an.hma s.hma

$(TARGET): htroff.pl $(MACROS)
	$(CAT) header.$(OSTYPE)>$(TARGET)
	$(CAT) htroff.pl >> $(TARGET)
	echo DATA std>> $(TARGET)
	$(CAT) std.hma >> $(TARGET)
	echo ENDDATA>> $(TARGET)
	echo DATA dic>> $(TARGET)
	$(CAT) dic.hma >> $(TARGET)
	echo ENDDATA>> $(TARGET)
	echo DATA an>> $(TARGET)
	$(CAT) an.hma >> $(TARGET)
	echo ENDDATA>> $(TARGET)
	echo DATA s>> $(TARGET)
	$(CAT) s.hma >> $(TARGET)
	echo ENDDATA>> $(TARGET)

clean:
	-rm -f *.bak
	-rm -f $(TARGET) rdiff
	cd doc; $(MAKE) clean

doc: $(TARGET)
	cd doc; $(MAKE)

install: $(TARGET) $(INSTALLDEP)

install.bin:
	$(INSTALLBIN) $(TARGET) $(DESTDIR)$(BINDIR)

install.doc:
	cd doc; $(MAKE) DESTDIR=$(DESTDIR) install

RCSFILES=htroff.pl Makefile.src *.hma config.pl config.bat header.* \
	README.TXT COPYING.TXT doc/*.ms doc/*.1 doc/*.7 doc/Makefile.src

ci: $(RCSFILES)
	ci -l $(RCSFILES)
	touch ci

rdiff: $(RCSFILES)
	-rcsdiff $(RCSFILES) > rdiff
	more rdiff

config:
	perl config.pl

tar: clean
	tar cvfz ../htroff-s.tgz .

lzh: all
	lha u -x ../htroff-x.lzh COPYING.TXT htroff.com doc\*.htm

=== doc/Makefile ===
# Makefile generated by config.pl.
CAT        = cat
EXE        = 
OSTYPE     = ux
BINDIR     = /usr/bin
MANDIR     = /usr/man
DOCDIR     = /usr/doc
INSTALL    = install
INSTALLBIN = install -m 0755
INSTALLDIR = install -d
INSTALLDEP = install.bin install.doc
# makefile for htroff documents
# Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
# see COPYING.TXT for terms of license.

HTROFF=perl ../htroff$(EXE)
MANOUT=htroff.htm man-7.htm ms-7.htm std-7.htm
PKGNAM=htroff

all: intro.htm $(MANOUT)

intro.htm: intro.ms
	$(HTROFF) -ms -c"#FFCCCC" -ointro.htm intro.ms

htroff.htm: htroff.1
	$(HTROFF) -man -c"#CCCCFF" -a htroff.1

man-7.htm: man.7
	$(HTROFF) -man -c"#CCCCFF" -a man.7

ms-7.htm: ms.7
	$(HTROFF) -man -c"#CCCCFF" -a ms.7

std-7.htm: std.7
	$(HTROFF) -man -c"#CCCCFF" -a std.7

clean:
	-rm *.htm

install:
	cp htroff.1 $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(DOCDIR)/$(PKGNAM)
	for file in *.htm; do \
		cp $$file $(DESTDIR)$(DOCDIR)/$(PKGNAM) ; \
	done

## htroff 0.3

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 CAT        = cat
 EXE        = 
 OSTYPE     = ux
-BINDIR     = /usr/bin
-MANDIR     = /usr/man
-DOCDIR     = /usr/doc
+BINDIR     = /usr/local/bin
+MANDIR     = /usr/local/man
+DOCDIR     = /usr/local/doc
 INSTALL    = install
 INSTALLBIN = install -m 0755
 INSTALLDIR = install -d
@@ -52,7 +52,7 @@
 	cd doc; $(MAKE) DESTDIR=$(DESTDIR) install
 
 RCSFILES=htroff.pl Makefile.src *.hma config.pl config.bat header.* \
-	README.TXT COPYING.TXT doc/*.ms doc/*.1 doc/*.7 doc/Makefile.src
+	*.TXT doc/*.ms doc/*.1 doc/*.7 doc/Makefile.src
 
 ci: $(RCSFILES)
 	ci -l $(RCSFILES)

=== doc/Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 CAT        = cat
 EXE        = 
 OSTYPE     = ux
-BINDIR     = /usr/bin
-MANDIR     = /usr/man
-DOCDIR     = /usr/doc
+BINDIR     = /usr/local/bin
+MANDIR     = /usr/local/man
+DOCDIR     = /usr/local/doc
 INSTALL    = install
 INSTALLBIN = install -m 0755
 INSTALLDIR = install -d

## htroff 1.0-4

=== Makefile ===
# Makefile generated by config.pl.
CP         = copy
CAT        = type
EXE        = .com
OSTYPE     = dos
BINDIR     = C:\WINDOWS\COMMAND
MANDIR     = 
DOCDIR     = 
INSTALL    = copy
INSTALLBIN = copy
INSTALLDIR = mkdir
INSTALLDEP = install.bin
UUDECODE = uudecode
# template for Makefile 
# Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
# see COPYING.TXT for terms of license.

TARGET=htroff$(EXE)

all: $(TARGET) doc

MACROS=std.hma an.hma s.hma
MIDFILE=htroff.mid

$(TARGET): htroff.pl $(MACROS)
	$(CP) htroff.pl $(MIDFILE)
	echo DATA std>> $(MIDFILE)
	$(CAT) std.hma >> $(MIDFILE)
	echo ENDDATA>> $(MIDFILE)
	echo DATA an>> $(MIDFILE)
	$(CAT) an.hma >> $(MIDFILE)
	echo ENDDATA>> $(MIDFILE)
	echo DATA s>> $(MIDFILE)
	$(CAT) s.hma >> $(MIDFILE)
	echo ENDDATA>> $(MIDFILE)
	mksos -f p $(MIDFILE) $(TARGET)
	del $(MIDFILE)
#	mv $(MIDFILE) $(TARGET)

clean:
	-rm -f *.bak
	-rm -f $(TARGET) rdiff $(SOS).lzh
	cd doc
	$(MAKE) clean
	cd ..

clean.all: clean
	-rm -f Makefile doc/Makefile
	@echo CAUTION: Makefile removed. Rerun config.pl to build.

doc: $(TARGET)
	cd doc
	$(MAKE)
	cd ..

install: $(TARGET) $(INSTALLDEP)

install.bin:
	$(INSTALLBIN) $(TARGET) $(DESTDIR)$(BINDIR)

install.doc:
	cd doc
	$(MAKE) DESTDIR=$(DESTDIR) install
	cd ..

rdiff:
	cvs diff > rdiff
	more rdiff

config: Makefile doc/Makefile

tar: clean
	tar cvfz ../htroff-s.tgz .

lzh: all
	lha u -x ../htroff-x.lzh COPYING.TXT htroff.com doc\*.htm

Makefile: Makefile.src config.pl
	perl config.pl

doc/Makefile: doc/Makefile.src config.pl
	perl config.pl

=== doc/Makefile ===
# Makefile generated by config.pl.
CP         = copy
CAT        = type
EXE        = .com
OSTYPE     = dos
BINDIR     = C:\WINDOWS\COMMAND
MANDIR     = 
DOCDIR     = 
INSTALL    = copy
INSTALLBIN = copy
INSTALLDIR = mkdir
INSTALLDEP = install.bin
UUDECODE = uudecode
# makefile for htroff documents
# Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
# see COPYING.TXT for terms of license.

HTROFF=perl ../htroff$(EXE)
MANOUT=htroff.htm man-7.htm ms-7.htm mstd-7.htm kyoto.htm
PKGNAM=htroff

all: intro.htm $(MANOUT)

intro.htm: intro.ms
	$(HTROFF) -ms -c"#FFCCCC" -ointro.htm intro.ms

htroff.htm: htroff.1
	$(HTROFF) -man -c"#CCCCFF" -a htroff.1

man-7.htm: man.7
	$(HTROFF) -man -c"#CCCCFF" -a man.7

ms-7.htm: ms.7
	$(HTROFF) -man -c"#CCCCFF" -a ms.7

mstd-7.htm: mstd.7
	$(HTROFF) -man -c"#CCCCFF" -a mstd.7

clean:
	-rm *.htm

install:
	false
	cp htroff.1 $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(DOCDIR)/$(PKGNAM)
	for file in *.htm; do \
		cp $$file $(DESTDIR)$(DOCDIR)/$(PKGNAM) ; \
	done

quote.htm: quote.man
	$(HTROFF) -man -a quote.man

kyoto.htm: kyoto.ms
	$(HTROFF) -ms -okyoto.htm kyoto.ms

config:
	cd ..
	$(MAKE) config
	cd ..

=== debian/changelog ===
htroff (1.0-4) unstable; urgency=low

  * manpage eucized
 
 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Tue, 05 Oct 1999 17:28:26 +0900

htroff (1.0-3) unstable; urgency=low

  * doc update
 
 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Wed, 29 Sep 1999 21:21:08 +0900

htroff (1.0-2) unstable; urgency=low

  * sos packaging removed from Makefile
 
 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Sat, 28 Aug 1999 22:16:06 +0900

htroff (1.0-1) unstable; urgency=low

  * netnews release
 
 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Sat, 28 Aug 1999 22:12:40 +0900

htroff (0.4-1) unstable; urgency=low

  * Initial Release.

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Wed, 17 Feb 1999 19:00:00 +0900

Local variables:
mode: debian-changelog
add-log-mailing-address: "toyoda@gfd-dennou.org"
End:

=== debian/control ===
Source: htroff
Section: text
Priority: optional
Maintainer: TOYODA Eizi <toyoda@gfd-dennou.org>
Standards-Version: 2.4.1

Package: htroff
Architecture: all
Depends: perl
Description: roff-like text formatter for HTML output

## htroff 2.0

=== debian/changelog ===
htroff (2.0-4) unstable; urgency=low

  * Bump standard version: 3.9.3
  * Drop cdbs from Build-Depends, now using debhelper 7(a.k.a. dh)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 21 Oct 2011 17:32:38 +0900

htroff (2.0-3) unstable; urgency=low

  * add psued man files
  * change encoding ja/man1/htroff1

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 09 Oct 2009 04:40:36 +0900

htroff (2.0-2) unstable; urgency=low

  * debian/rules: using cdbs
  * remove strange files:
    - README.Debian (merge Description in control)
    - COPYING.TXT (merge copyright)
  
 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 09 Oct 2009 03:35:34 +0900

htroff (2.0-1) unstable; urgency=low

  * changed dependencies :perl -> ${shlibs:Depends}
 
 -- ISHIWATARI Masaki <momoko@ees.hokudai.ac.jp>  Thu, 17 Aug 2000 12:21:16 +0900

=== debian/control ===
Source: htroff
Section: text
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), perl, nkf
Standards-Version: 3.9.2
Homepage: http://www.gfd-dennou.org/arch/cc-env/htroff/

Package: htroff
Architecture: all
Depends: ${misc:Depends}, perl
Description: roff-like text formatter for HTML output
 htroff is a perl script like nroff(1) or groff(1).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	-[ -f Makefile ] && make clean.all
	dh_auto_clean

override_dh_auto_configure:
	perl $(CURDIR)/config.pl BASEDIR=/usr

override_dh_auto_build:
	-[ -f Makefile ] && make
	( cd $(CURDIR)/doc && make )

override_dh_auto_install:
	dh_auto_install -- BASEDIR=$(CURDIR)/debian/htroff
	( cd $(CURDIR)/debian/htroff/usr/share/man/ja/man1 && \
		nkf -Ew --overwrite htroff.1 )

## htroff 2.0-1

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Makefile generated by config.pl.
-CP         = copy
-CAT        = type
-EXE        = .com
-OSTYPE     = dos
-BINDIR     = C:\WINDOWS\COMMAND
-MANDIR     = 
-DOCDIR     = 
-INSTALL    = copy
-INSTALLBIN = copy
-INSTALLDIR = mkdir
-INSTALLDEP = install.bin
+CP         = cp
+CAT        = cat
+EXE        = 
+OSTYPE     = ux
+BINDIR     = /usr/bin
+MANDIR     = /usr/man
+DOCDIR     = /usr/share/doc
+INSTALL    = install
+INSTALLBIN = install -m 0755
+INSTALLDIR = install -d
+INSTALLDEP = install.bin install.doc
 UUDECODE = uudecode
 # template for Makefile 
 # Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
@@ -33,25 +33,21 @@
 	echo DATA s>> $(MIDFILE)
 	$(CAT) s.hma >> $(MIDFILE)
 	echo ENDDATA>> $(MIDFILE)
-	mksos -f p $(MIDFILE) $(TARGET)
-	del $(MIDFILE)
-#	mv $(MIDFILE) $(TARGET)
+#	mksos -f p $(MIDFILE) $(TARGET)
+#	del $(MIDFILE)
+	mv $(MIDFILE) $(TARGET)
 
 clean:
 	-rm -f *.bak
 	-rm -f $(TARGET) rdiff $(SOS).lzh
-	cd doc
-	$(MAKE) clean
-	cd ..
+	cd doc; $(MAKE) clean
 
 clean.all: clean
 	-rm -f Makefile doc/Makefile
 	@echo CAUTION: Makefile removed. Rerun config.pl to build.
 
 doc: $(TARGET)
-	cd doc
-	$(MAKE)
-	cd ..
+	cd doc; $(MAKE)
 
 install: $(TARGET) $(INSTALLDEP)
 
@@ -59,9 +55,7 @@
 	$(INSTALLBIN) $(TARGET) $(DESTDIR)$(BINDIR)
 
 install.doc:
-	cd doc
-	$(MAKE) DESTDIR=$(DESTDIR) install
-	cd ..
+	cd doc; $(MAKE) DESTDIR=$(DESTDIR) install
 
 rdiff:
 	cvs diff > rdiff

=== doc/Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Makefile generated by config.pl.
-CP         = copy
-CAT        = type
-EXE        = .com
-OSTYPE     = dos
-BINDIR     = C:\WINDOWS\COMMAND
-MANDIR     = 
-DOCDIR     = 
-INSTALL    = copy
-INSTALLBIN = copy
-INSTALLDIR = mkdir
-INSTALLDEP = install.bin
+CP         = cp
+CAT        = cat
+EXE        = 
+OSTYPE     = ux
+BINDIR     = /usr/bin
+MANDIR     = /usr/man
+DOCDIR     = /usr/share/doc
+INSTALL    = install
+INSTALLBIN = install -m 0755
+INSTALLDIR = install -d
+INSTALLDEP = install.bin install.doc
 UUDECODE = uudecode
 # makefile for htroff documents
 # Copyright (C) TOYODA Eizi, 1998.  All rights reserved.
@@ -40,7 +40,8 @@
 	-rm *.htm
 
 install:
-	false
+#	false
+	-test -d $(DESTDIR)$(MANDIR)/man1 || install -d $(DESTDIR)$(MANDIR)/man1
 	cp htroff.1 $(DESTDIR)$(MANDIR)/man1
 	install -d $(DESTDIR)$(DOCDIR)/$(PKGNAM)
 	for file in *.htm; do \
@@ -54,7 +55,5 @@
 	$(HTROFF) -ms -okyoto.htm kyoto.ms
 
 config:
-	cd ..
-	$(MAKE) config
-	cd ..
+	cd ..; $(MAKE) config

=== debian/control ===
Source: htroff
Section: text
Priority: optional
Maintainer: ISHIWATARI Masaki <momoko@ees.hokudai.ac.jp>
Standards-Version: 2.4.1

Package: htroff
Architecture: all
Depends: ${shlibs:Depends}
Description: roff-like text formatter for HTML output
